//Autore: Giuliano Pellegrini Parisi

//Data: 1 dicembre 2008

//Classe: 3^Sirio Inf.

//Oggetto: Implementazione libreria fbblGeometriaSolida

//Release: 0.1

using fbblGeometriaPiana;

namespace fbblGeometriaSolida
{
    public class StrumentoGeometriaSolida
    {

        static public double VolumeCilindro(double Raggio,double Altezza)
        {
            return StrumentiGeometriaPiana.AreaCerchio(Raggio) * Altezza;
        }

        static public double AreaCilindro(double Raggio, double Altezza)
        {
            return 2 * StrumentiGeometriaPiana.AreaCerchio(Raggio) + AreaCilindroLaterale(Raggio,Altezza);
        }

        static public double AreaCilindroLaterale(double Raggio,double Altezza)
        {
            return StrumentiGeometriaPiana.CirconferenzaCerchio(Raggio) * Altezza;
        }



    }

}
